Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.h2
Class H2Adapter

    java.lang.Object
      org.apache.cayenne.dba.JdbcAdapter
          org.apache.cayenne.dba.h2.H2Adapter

All Implemented Interfaces:
  DbAdapter

    public class H2Adapter

extends JdbcAdapter

Since:
  3.0

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcAdapter
`batchQueryBuilderFactory, caseInsensitiveCollations, CI_PROPERTY, ejbqlTranslatorFactory, extendedTypes, identifiersEndQuote, identifiersStartQuote, logger, resourceLocator, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

Constructor Summary
`H2Adapter(RuntimeProperties runtimeProperties, java.util.List<ExtendedType> defaultExtendedTypes, java.util.List<ExtendedType> userExtendedTypes, java.util.List<ExtendedTypeFactory> extendedTypeFactories)`

Method Summary
`void` | `createTableAppendColumn(java.lang.StringBuffer sqlBuffer, DbAttribute column)` Appends SQL for column creation to CREATE TABLE buffer.
`MergerFactory` | `mergerFactory()`

Methods inherited from class org.apache.cayenne.dba.JdbcAdapter
`bindParameter, buildAttribute, configureExtendedTypes, createEJBQLTranslatorFactory, createFkConstraint, createPkGenerator, createTable, createTableAppendPKClause, createUniqueConstraint, dropTableStatements, externalTypesForJdbcType, findResource, getAction, getBatchQueryBuilderFactory, getBatchTerminator, getEjbqlTranslatorFactory, getExtendedTypes, getIdentifiersEndQuote, getIdentifiersStartQuote, getJdbcEventLogger, getPkGenerator, getQualifierTranslator, getQuotingStrategy, initExtendedTypes, initIdentifiersQuotes, setBatchQueryBuilderFactory, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsGeneratedKeys, setSupportsUniqueConstraints, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### H2Adapter

    public H2Adapter(RuntimeProperties runtimeProperties,
                     java.util.List<ExtendedType> defaultExtendedTypes,
                     java.util.List<ExtendedType> userExtendedTypes,
                     java.util.List<ExtendedTypeFactory> extendedTypeFactories)

Method Detail

### mergerFactory

    public MergerFactory mergerFactory()

  Specified by:
    `mergerFactory` in interface `DbAdapter`
  Overrides:
    `mergerFactory` in class `JdbcAdapter`

### createTableAppendColumn

    public void createTableAppendColumn(java.lang.StringBuffer sqlBuffer,
                                        DbAttribute column)

  Description copied from class: `JdbcAdapter`
  Appends SQL for column creation to CREATE TABLE buffer.

  Specified by:
    `createTableAppendColumn` in interface `DbAdapter`
  Overrides:
    `createTableAppendColumn` in class `JdbcAdapter`
  Parameters:
    `sqlBuffer` - the `StringBuffer` to append the column type to
    `column` - the `DbAttribute` defining the column to append type for

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.